Bug 305794 - Uncompressed ODF is saved in wrong directory
Summary: Uncompressed ODF is saved in wrong directory
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-25 23:45 UTC by Inge Wallin
Modified: 2012-08-26 00:14 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.5.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Inge Wallin 2012-08-25 23:45:45 UTC
If you load an uncompressed xml file and then press ctrl-s to save it again it is saved in the wrong directory.

Reproducible: Always

Steps to Reproduce:
1. Start Words. Create a file with one line of text.
2. File -> Save As...    Give it the name testdoc and save it as "OpenDocument Text (Uncompressed XML file)
3. Exit Words
4. run 'calligrawords testdoc'
5. Add a few characters
6. Save using ctrl-S
7. Exit Words again
Actual Results:  
Notice that the components of the changed file with the added characters - content.xml, styles.xml, etc - are saved in ./ instead of ./testdoc/


Expected Results:  
The newly saved components should overwrite the existing ones in ./testdoc/
Comment 1 Inge Wallin 2012-08-26 00:12:37 UTC
Git commit 3992bc5921f7f62b1fa65d180c253d0c807f5e6d by Inge Wallin.
Committed on 26/08/2012 at 02:08.
Pushed by ingwa into branch 'master'.

Fix bug 305794: Uncompressed ODF is saved in wrong directory

This fix does that the old code tried to do but failed: Check if the
given path is a directory. But it does so using QDir so it's actually
portable.
FIXED-IN: 2.5.1
REVIEW: 106200

M  +9    -4    libs/odf/KoDirectoryStore.cpp

http://commits.kde.org/calligra/3992bc5921f7f62b1fa65d180c253d0c807f5e6d
Comment 2 Inge Wallin 2012-08-26 00:14:24 UTC
Git commit 85b7a6468513499b0d530b211888c83223f0a28b by Inge Wallin.
Committed on 26/08/2012 at 02:08.
Pushed by ingwa into branch 'calligra/2.5'.

Fix bug 305794: Uncompressed ODF is saved in wrong directory

This fix does that the old code tried to do but failed: Check if the
given path is a directory. But it does so using QDir so it's actually
portable.
FIXED-IN: 2.5.1
REVIEW: 106200

M  +9    -4    libs/odf/KoDirectoryStore.cpp

http://commits.kde.org/calligra/85b7a6468513499b0d530b211888c83223f0a28b